Subject: Re: [PATCH] do_one_ref(): save and restore value of current_ref

From: Michael Haggerty <[email-masked]>
Date: Wed, 24 Jul 2013 07:35:24 -0700

On 07/19/2013 12:34 PM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>> I sent the patch shortly before leaving for a trip so I didn't have time
>> to make it as complete as I would have liked.  But given that the
>> problem was already in master, and the fix is pretty simple, I wanted to
>> send the fix right away.  When I have some time I can fix it up better,
> 
> That is very much appreciated.  How would you describe this fix in a
> two-to-three line paragraph in Release Notes?

How about:

    Fix a NULL-pointer dereference during nested iterations over
    references (for example, when replace references are being used).

Unfortunately I don't have time now to audit the code more carefully to
figure out what other circumstances might have triggered the bug.

Hope that helps,
Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/